package com.ruoyi.rc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会议对象 t_meeting
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date year;

    /** 涉及code */
    @Excel(name = "涉及code")
    private Long secSubChapId;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Date year) 
    {
        this.year = year;
    }

    public Date getYear() 
    {
        return year;
    }
    public void setSecSubChapId(Long secSubChapId) 
    {
        this.secSubChapId = secSubChapId;
    }

    public Long getSecSubChapId() 
    {
        return secSubChapId;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("secSubChapId", getSecSubChapId())
            .append("personInCharge", getPersonInCharge())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
