package com.ruoyi.rc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问卷细分章节对象 t_sub_chap
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TSubChap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 审计记录id */
    @Excel(name = "审计记录id")
    private Long auditId;

    /** 问卷章节id */
    @Excel(name = "问卷章节id")
    private Long chapId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 装置id */
    @Excel(name = "装置id")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setChapId(Long chapId) 
    {
        this.chapId = chapId;
    }

    public Long getChapId() 
    {
        return chapId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("auditId", getAuditId())
            .append("chapId", getChapId())
            .append("name", getName())
            .append("deptId", getDeptId())
            .toString();
    }
}
