package com.ruoyi.rc.mapper;

import java.util.List;
import com.ruoyi.rc.domain.TSecSubChap;

/**
 * 问卷二级细分章节Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public interface TSecSubChapMapper 
{
    /**
     * 查询问卷二级细分章节
     * 
     * @param id 问卷二级细分章节主键
     * @return 问卷二级细分章节
     */
    public TSecSubChap selectTSecSubChapById(Long id);

    /**
     * 查询问卷二级细分章节列表
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 问卷二级细分章节集合
     */
    public List<TSecSubChap> selectTSecSubChapList(TSecSubChap tSecSubChap);

    /**
     * 新增问卷二级细分章节
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 结果
     */
    public int insertTSecSubChap(TSecSubChap tSecSubChap);

    /**
     * 修改问卷二级细分章节
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 结果
     */
    public int updateTSecSubChap(TSecSubChap tSecSubChap);

    /**
     * 删除问卷二级细分章节
     * 
     * @param id 问卷二级细分章节主键
     * @return 结果
     */
    public int deleteTSecSubChapById(Long id);

    /**
     * 批量删除问卷二级细分章节
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSecSubChapByIds(Long[] ids);
}
