import request from '@/utils/request'

// 查询问卷二级细分章节列表
export function listSecsubchap(query) {
  return request({
    url: '/rc/secsubchap/list',
    method: 'get',
    params: query
  })
}

// 查询问卷二级细分章节详细
export function getSecsubchap(id) {
  return request({
    url: '/rc/secsubchap/' + id,
    method: 'get'
  })
}

// 新增问卷二级细分章节
export function addSecsubchap(data) {
  return request({
    url: '/rc/secsubchap',
    method: 'post',
    data: data
  })
}

// 修改问卷二级细分章节
export function updateSecsubchap(data) {
  return request({
    url: '/rc/secsubchap',
    method: 'put',
    data: data
  })
}

// 删除问卷二级细分章节
export function delSecsubchap(id) {
  return request({
    url: '/rc/secsubchap/' + id,
    method: 'delete'
  })
}
