import request from '@/utils/request'

// 查询问卷细分章节列表
export function listSubchap(query) {
  return request({
    url: '/rc/subchap/list',
    method: 'get',
    params: query
  })
}

// 查询问卷细分章节详细
export function getSubchap(id) {
  return request({
    url: '/rc/subchap/' + id,
    method: 'get'
  })
}

// 新增问卷细分章节
export function addSubchap(data) {
  return request({
    url: '/rc/subchap',
    method: 'post',
    data: data
  })
}

// 修改问卷细分章节
export function updateSubchap(data) {
  return request({
    url: '/rc/subchap',
    method: 'put',
    data: data
  })
}

// 删除问卷细分章节
export function delSubchap(id) {
  return request({
    url: '/rc/subchap/' + id,
    method: 'delete'
  })
}
